Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.gui
Class OptionsDialog.OptionTreeModel

    java.lang.Object
      net.sourceforge.jsxe.gui.OptionsDialog.OptionTreeModel

All Implemented Interfaces:
  TreeModel

Enclosing class:
  OptionsDialog

public static class OptionsDialog.OptionTreeModel
extends Object
implements TreeModel

Constructor Summary
`OptionsDialog.OptionTreeModel()`

Method Summary
`void` | `addTreeModelListener(TreeModelListener l)`
`protected void` | `fireNodesChanged(Object source, Object[] path, int[] childIndices, Object[] children)`
`protected void` | `fireNodesInserted(Object source, Object[] path, int[] childIndices, Object[] children)`
`protected void` | `fireNodesRemoved(Object source, Object[] path, int[] childIndices, Object[] children)`
`protected void` | `fireTreeStructureChanged(Object source, Object[] path, int[] childIndices, Object[] children)`
`Object` | `getChild(Object parent, int index)`
`int` | `getChildCount(Object parent)`
`int` | `getIndexOfChild(Object parent, Object child)`
`Object` | `getRoot()`
`boolean` | `isLeaf(Object node)`
`void` | `removeTreeModelListener(TreeModelListener l)`
`void` | `valueForPathChanged(TreePath path, Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsDialog.OptionTreeModel

    public OptionsDialog.OptionTreeModel()

Method Detail

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `TreeModel`

### getChild

    public Object getChild(Object parent,
                           int index)

  Specified by:
    `getChild` in interface `TreeModel`

### getChildCount

    public int getChildCount(Object parent)

  Specified by:
    `getChildCount` in interface `TreeModel`

### getIndexOfChild

    public int getIndexOfChild(Object parent,
                               Object child)

  Specified by:
    `getIndexOfChild` in interface `TreeModel`

### getRoot

    public Object getRoot()

  Specified by:
    `getRoot` in interface `TreeModel`

### isLeaf

    public boolean isLeaf(Object node)

  Specified by:
    `isLeaf` in interface `TreeModel`

### valueForPathChanged

    public void valueForPathChanged(TreePath path,
                                    Object newValue)

  Specified by:
    `valueForPathChanged` in interface `TreeModel`

### fireNodesChanged

    protected void fireNodesChanged(Object source,
                                    Object[] path,
                                    int[] childIndices,
                                    Object[] children)

### fireNodesInserted

    protected void fireNodesInserted(Object source,
                                     Object[] path,
                                     int[] childIndices,
                                     Object[] children)

### fireNodesRemoved

    protected void fireNodesRemoved(Object source,
                                    Object[] path,
                                    int[] childIndices,
                                    Object[] children)

### fireTreeStructureChanged

    protected void fireTreeStructureChanged(Object source,
                                            Object[] path,
                                            int[] childIndices,
                                            Object[] children)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD